Package qsardes.elements

# Enum Class ElementsEnum

java.lang.Object
java.lang.Enum<ElementsEnum>
qsardes.elements.ElementsEnum

All Implemented Interfaces:
  `Serializable`, `Comparable<ElementsEnum>`, `Constable`

public enum ElementsEnum extends Enum<ElementsEnum>
Table of atomic constants.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `Ac`
  `Ag`
  `Al`
  `Ar`
  `As`
  `At`
  `Au`
  `B`
  `Ba`
  `Be`
  `Bi`
  `Br`
  `C`
  `Ca`
  `Cd`
  `Ce`
  `Cl`
  `Co`
  `Cr`
  `Cs`
  `Cu`
  `Dy`
  `Er`
  `Eu`
  `F`
  `Fe`
  `Fr`
  `Ga`
  `Gc`
  `Ge`
  `H`
  `He`
  `Hf`
  `Hg`
  `Ho`
  `I`
  `In`
  `Ir`
  `K`
  `Kr`
  `La`
  `Li`
  `Lu`
  `Mg`
  `Mn`
  `Mo`
  `N`
  `Na`
  `Nb`
  `Nd`
  `Ne`
  `Ni`
  `O`
  `Os`
  `P`
  `Pa`
  `Pb`
  `Pd`
  `Pm`
  `Po`
  `Pr`
  `Pt`
  `Ra`
  `Rb`
  `Re`
  `Rh`
  `Rn`
  `Ru`
  `S`
  `Sb`
  `Sc`
  `Se`
  `Si`
  `Sm`
  `Sn`
  `Sr`
  `Ta`
  `Tb`
  `Tc`
  `Te`
  `Th`
  `Ti`
  `Tl`
  `Tm`
  `U`
  `V`
  `W`
  `Xe`
  `Y`
  `Yb`
  `Zn`
  `Zr`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Double`
  `get_all_roch_electroneg()`
  Gets the Allred-Rochow atomic electronegativity.
  `Integer`
  `get_atom_num()`
  Gets the atomic number.
  `Double`
  `get_first_ioniz_potential()`
  Gets the first ionization potential.
  `Double`
  `get_mass()`
  Gets the atomic mass.
  `Double`
  `get_pauling_electroneg()`
  Gets the Pauling atomic electronegativity.
  `Double`
  `get_polarizability()`
  Gets the atomic polarizability.
  `Double`
  `get_sanderson_electroneg()`
  Gets the Sanderson atomic electronegativity.
  `Double`
  `get_van_der_waals_radius()`
  Gets the van der Waals atomic radius.
  `Double`
  `get_van_der_waals_volume()`
  Gets the van der Waals atomic volume.
  `static ElementsEnum`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ElementsEnum[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### H

    public static final ElementsEnum H

  - ### He

    public static final ElementsEnum He

  - ### Li

    public static final ElementsEnum Li

  - ### Be

    public static final ElementsEnum Be

  - ### B

    public static final ElementsEnum B

  - ### C

    public static final ElementsEnum C

  - ### N

    public static final ElementsEnum N

  - ### O

    public static final ElementsEnum O

  - ### F

    public static final ElementsEnum F

  - ### Ne

    public static final ElementsEnum Ne

  - ### Na

    public static final ElementsEnum Na

  - ### Mg

    public static final ElementsEnum Mg

  - ### Al

    public static final ElementsEnum Al

  - ### Si

    public static final ElementsEnum Si

  - ### P

    public static final ElementsEnum P

  - ### S

    public static final ElementsEnum S

  - ### Cl

    public static final ElementsEnum Cl

  - ### Ar

    public static final ElementsEnum Ar

  - ### K

    public static final ElementsEnum K

  - ### Ca

    public static final ElementsEnum Ca

  - ### Sc

    public static final ElementsEnum Sc

  - ### Ti

    public static final ElementsEnum Ti

  - ### V

    public static final ElementsEnum V

  - ### Cr

    public static final ElementsEnum Cr

  - ### Mn

    public static final ElementsEnum Mn

  - ### Fe

    public static final ElementsEnum Fe

  - ### Co

    public static final ElementsEnum Co

  - ### Ni

    public static final ElementsEnum Ni

  - ### Cu

    public static final ElementsEnum Cu

  - ### Zn

    public static final ElementsEnum Zn

  - ### Ga

    public static final ElementsEnum Ga

  - ### Ge

    public static final ElementsEnum Ge

  - ### As

    public static final ElementsEnum As

  - ### Se

    public static final ElementsEnum Se

  - ### Br

    public static final ElementsEnum Br

  - ### Kr

    public static final ElementsEnum Kr

  - ### Rb

    public static final ElementsEnum Rb

  - ### Sr

    public static final ElementsEnum Sr

  - ### Y

    public static final ElementsEnum Y

  - ### Zr

    public static final ElementsEnum Zr

  - ### Nb

    public static final ElementsEnum Nb

  - ### Mo

    public static final ElementsEnum Mo

  - ### Tc

    public static final ElementsEnum Tc

  - ### Ru

    public static final ElementsEnum Ru

  - ### Rh

    public static final ElementsEnum Rh

  - ### Pd

    public static final ElementsEnum Pd

  - ### Ag

    public static final ElementsEnum Ag

  - ### Cd

    public static final ElementsEnum Cd

  - ### In

    public static final ElementsEnum In

  - ### Sn

    public static final ElementsEnum Sn

  - ### Sb

    public static final ElementsEnum Sb

  - ### Te

    public static final ElementsEnum Te

  - ### I

    public static final ElementsEnum I

  - ### Xe

    public static final ElementsEnum Xe

  - ### Cs

    public static final ElementsEnum Cs

  - ### Ba

    public static final ElementsEnum Ba

  - ### La

    public static final ElementsEnum La

  - ### Ce

    public static final ElementsEnum Ce

  - ### Pr

    public static final ElementsEnum Pr

  - ### Nd

    public static final ElementsEnum Nd

  - ### Pm

    public static final ElementsEnum Pm

  - ### Sm

    public static final ElementsEnum Sm

  - ### Eu

    public static final ElementsEnum Eu

  - ### Gc

    public static final ElementsEnum Gc

  - ### Tb

    public static final ElementsEnum Tb

  - ### Dy

    public static final ElementsEnum Dy

  - ### Ho

    public static final ElementsEnum Ho

  - ### Er

    public static final ElementsEnum Er

  - ### Tm

    public static final ElementsEnum Tm

  - ### Yb

    public static final ElementsEnum Yb

  - ### Lu

    public static final ElementsEnum Lu

  - ### Hf

    public static final ElementsEnum Hf

  - ### Ta

    public static final ElementsEnum Ta

  - ### W

    public static final ElementsEnum W

  - ### Re

    public static final ElementsEnum Re

  - ### Os

    public static final ElementsEnum Os

  - ### Ir

    public static final ElementsEnum Ir

  - ### Pt

    public static final ElementsEnum Pt

  - ### Au

    public static final ElementsEnum Au

  - ### Hg

    public static final ElementsEnum Hg

  - ### Tl

    public static final ElementsEnum Tl

  - ### Pb

    public static final ElementsEnum Pb

  - ### Bi

    public static final ElementsEnum Bi

  - ### Po

    public static final ElementsEnum Po

  - ### At

    public static final ElementsEnum At

  - ### Rn

    public static final ElementsEnum Rn

  - ### Fr

    public static final ElementsEnum Fr

  - ### Ra

    public static final ElementsEnum Ra

  - ### Ac

    public static final ElementsEnum Ac

  - ### Th

    public static final ElementsEnum Th

  - ### Pa

    public static final ElementsEnum Pa

  - ### U

    public static final ElementsEnum U

- ## Method Details

  - ### values

    public static ElementsEnum[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ElementsEnum valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### get_atom_num

    public Integer get_atom_num()
    Gets the atomic number.
    Returns:

  - ### get_mass

    public Double get_mass()
    Gets the atomic mass.
    Returns:

  - ### get_van_der_waals_radius

    public Double get_van_der_waals_radius()
    Gets the van der Waals atomic radius.
    Returns:

  - ### get_van_der_waals_volume

    public Double get_van_der_waals_volume()
    Gets the van der Waals atomic volume.
    Returns:

  - ### get_pauling_electroneg

    public Double get_pauling_electroneg()
    Gets the Pauling atomic electronegativity.
    Returns:

  - ### get_sanderson_electroneg

    public Double get_sanderson_electroneg()
    Gets the Sanderson atomic electronegativity.
    Returns:

  - ### get_all_roch_electroneg

    public Double get_all_roch_electroneg()
    Gets the Allred-Rochow atomic electronegativity.
    Returns:

  - ### get_polarizability

    public Double get_polarizability()
    Gets the atomic polarizability.
    Returns:

  - ### get_first_ioniz_potential

    public Double get_first_ioniz_potential()
    Gets the first ionization potential.
    Returns: